#!/bin/bash

#"open up" the PCI bus by allowing fairly long bursts for all devices, increasing performance
#setpci -v -d *:* latency_timer=b0

#maximize latency timers for audio, allowing it to transmit more data per burst, preventing buffer over/underrun conditions
setpci -v -s 00:06.0 latency_timer=ff  

# north bridge
setpci -v -s 00:00.0 latency_timer=40

# firewire
setpci -v -s 00:09.0 latency_timer=10

# ethernet
setpci -v -s 00:0b.0 latency_timer=10

# usb
setpci -v -s 00:0f.0 latency_timer=10

# ide
setpci -v -s 00:10.0 latency_timer=10

# cardbus bridge
setpci -v -s 00:12.0 latency_timer=40

# usb
setpci -v -s 00:14.0 latency_timer=10
